Subject: Re: [dnssd] Fwd: New Version Notification for draft-tllq-tsr-00.txt

From: Jonathan Hui <[email-masked]>
Date: Tue, 9 Nov 2021 11:55:39 -0800

Hi Ted,

Thanks for this draft.

Overall, the approach seems reasonable. FWIW, Thread uses similar
mechanisms for other purposes, and it works well.

Few minor comments when reviewing the doc:

Section 1: "Service Replication Protocol (SRP)" -> "Service Registration
Protocol (SRP)"

Section 1: Is it worth mentioning that this mechanism is also helpful even
when the service database is synchronized with SRPL?

Section 7: "It SHOULD NOT be used by regular (non-proxy) mDNS registrants".
We discussed a scenario on the list where a device supporting both Wi-Fi
and Thread could switch between using mDNS and SRP depending on which link
it was attached to. Requiring TSR in this case could help address conflicts
when switching from SRP to mDNS. That said, we also discussed that the
device should just always use SRP.

--
Jonathan Hui

On Fri, Oct 22, 2021 at 6:11 PM Ted Lemon <[email-masked]> wrote:

> I've uploaded a new draft for the working group's consideration. This
> solves the problem of what to do when two advertising proxies get updates
> from the same host at two different times. Using normal mDNS conflict
> resolution rules, the older (stale) update wins. This is correct behavior
> for non-proxied mDNS, but obviously incorrect for proxied mDNS. The "Time
> Since Registered" RR provides a way to indicate which mDNS advertisement is
> more recent, so that conflict resolution can choose the less stale answer
> rather than the more stale answer.
>
> I'd be curious to hear what people think of this proposal.
>
> ---------- Forwarded message ---------
> From: <[email-masked]>
> Date: Fri, Oct 22, 2021 at 9:06 PM
> Subject: New Version Notification for draft-tllq-tsr-00.txt
> To: 秦良 <[email-masked]>, Qin Liang <[email-masked]>, Ted
> Lemon <[email-masked]>
>
>
>
> A new version of I-D, draft-tllq-tsr-00.txt
> has been successfully submitted by Ted Lemon and posted to the
> IETF repository.
>
> Name:           draft-tllq-tsr
> Revision:       00
> Title:          A 'Time Since Registration' Resource Record for Multicast
> DNS
> Document date:  2021-10-22
> Group:          Individual Submission
> Pages:          7
> URL:            https://www.ietf.org/archive/id/draft-tllq-tsr-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-tllq-tsr/
> Html:           https://www.ietf.org/archive/id/draft-tllq-tsr-00.html
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-tllq-tsr
>
>
> Abstract:
>    This document defines a new DNS Resource Record (RR) to be used with
>    multicast DNS.  The new RR is used to communicate the time at which
>    the set of RRsets on a domain name were first registered.
>
>
>
>
> The IETF Secretariat
>
>
> _______________________________________________
> dnssd mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnssd
>